/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称:
 * 创建日期:2022/8/28
 */
package org.springblade.modules.business.data.service.impl;

import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.business.data.dto.RtuDataRsvrDTO;
import org.springblade.modules.business.data.entity.RtuDataRsvrStoreEntity;
import org.springblade.modules.business.data.mapper.RtuDataRsvrStoreMapper;
import org.springblade.modules.business.data.service.IRtuDataRsvrStoreService;
import org.springblade.modules.etl.entity.EtlRsvrDataEntity;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;


/***
 * Date:2022/8/28
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuDataRsvrStoreServiceImpl extends BaseServiceImpl<RtuDataRsvrStoreMapper, RtuDataRsvrStoreEntity> implements IRtuDataRsvrStoreService {

	@Override
	public boolean saveRsvrrData(EtlRsvrDataEntity etlRsvrDataEntity) {
		RtuDataRsvrStoreEntity rsvrDataEntity = new RtuDataRsvrStoreEntity();
		rsvrDataEntity.setRtuCode(etlRsvrDataEntity.getRtuCode());
		rsvrDataEntity.setCreateTime(new Date());
		rsvrDataEntity.setStatus(1);
		rsvrDataEntity.setIsDeleted(0);
		rsvrDataEntity.setRz(etlRsvrDataEntity.getRz());
		rsvrDataEntity.setTm(etlRsvrDataEntity.getTm());
		rsvrDataEntity.setFromTime(etlRsvrDataEntity.getFromDate());
		return this.save(rsvrDataEntity);
	}

	@Override
	public List<RtuDataRsvrStoreEntity> selectList(RtuDataRsvrDTO dto) {
		return this.baseMapper.selectList(dto);
	}

	@Override
	public List<RtuDataRsvrStoreEntity> selectLast(RtuDataRsvrDTO dto) {
		return this.baseMapper.selectLast(dto);
	}
}
